[arch-commits] Commit in libxfixes/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Eric Bélanger eric at archlinux.org
Tue Apr 14 19:19:30 EDT 2009


    Date: Tuesday, April 14, 2009 @ 19:19:29
  Author: eric
Revision: 35634

Merged revisions 356,15562,35633 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/libxfixes/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r15562 | ronald | 2008-10-15 10:12:06 -0400 (Wed, 15 Oct 2008) | 1 line
  
  fix license
........
  r35633 | eric | 2009-04-14 19:19:11 -0400 (Tue, 14 Apr 2009) | 2 lines
  
  upgpkg: libxfixes 4.0.3-2
      License rebuild
........

Modified:
  libxfixes/repos/extra-x86_64/	(properties)
  libxfixes/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   13 +++++++++----
 1 file changed, 9 insertions(+), 4 deletions(-)


Property changes on: libxfixes/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /libxfixes/trunk:1
   + /libxfixes/trunk:1-35633

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-14 23:19:11 UTC (rev 35633)
+++ extra-x86_64/PKGBUILD	2009-04-14 23:19:29 UTC (rev 35634)
@@ -3,10 +3,11 @@
 
 pkgname=libxfixes
 pkgver=4.0.3
-pkgrel=1
+pkgrel=2
 pkgdesc="X11 miscellaneous 'fixes' extension library"
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
 url="http://xorg.freedesktop.org/"
+license=('custom')
 depends=('libx11' 'fixesproto')
 makedepends=('pkgconfig')
 options=('!libtool')
@@ -14,9 +15,13 @@
 md5sums=('1990d19725a3c7f32290037f02d3737f')
 
 build() {
-  cd ${startdir}/src/libXfixes-${pkgver}
+  cd ${srcdir}/libXfixes-${pkgver}
   ./configure --prefix=/usr --sysconfdir=/etc \
               --build=${CHOST} --host=${CHOST}
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
+
+  # install custom license
+  install -Dm644 $srcdir/libXfixes-$pkgver/COPYING \
+	$pkgdir/usr/share/licenses/$pkgname/COPYING || return 1
 }



More information about the arch-commits mailing list